Neutron does not use Oslo for config generator

Bug #1199963 reported by Emilien Macchi on 2013-07-10
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
devstack
Undecided
Martin Hickey
neutron
Wishlist
Martin Hickey

Bug Description

We should update Neutron for using Oslo when we generate configuration files.

Here are the steps :

- Add generator.py from Oslo
- Add generator bash script used by other projects to generate configuration
files
- Update openstack-common.conf file
- Generate configuration file

Fix proposed to branch: master
Review: https://review.openstack.org/36546

Changed in neutron:
assignee: nobody → Emilien Macchi (emilienm)
status: New → In Progress
Changed in neutron:
importance: Undecided → Wishlist
tags: added: quantum-core
tags: added: neutron-core
removed: quantum-core
Changed in neutron:
assignee: Emilien Macchi (emilienm) → nobody
Tom Fifield (fifieldt) on 2013-12-06
Changed in neutron:
status: In Progress → Confirmed
Changed in neutron:
assignee: nobody → Manish Godara (manishatyhoo)
Changed in neutron:
assignee: Manish Godara (manishatyhoo) → nobody
Li Ma (nick-ma-z) on 2015-04-13
Changed in neutron:
assignee: nobody → Li Ma (nick-ma-z)
Li Ma (nick-ma-z) on 2015-08-04
Changed in neutron:
assignee: Li Ma (nick-ma-z) → nobody
Changed in neutron:
assignee: nobody → Aditi Rajagopal (aditirajagopal)
Changed in neutron:
assignee: Aditi Rajagopal (aditirajagopal) → nobody

https://review.openstack.org/#/c/204206/ has been proposed, but there hasn't been any activity in over a month

tags: added: oslo
Changed in neutron:
assignee: nobody → Martin Hickey (martin-hickey)
Changed in neutron:
status: Confirmed → In Progress
Changed in devstack:
assignee: nobody → Martin Hickey (martin-hickey)
status: New → In Progress
tags: added: rfe-approved
removed: neutron-core
Changed in neutron:
milestone: none → mitaka-1

Reviewed: https://review.openstack.org/204206
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=71190773e14260fab96e78e65a290356cdc08581
Submitter: Jenkins
Branch: master

commit 71190773e14260fab96e78e65a290356cdc08581
Author: Martin Hickey <email address hidden>
Date: Mon Nov 9 23:37:37 2015 +0000

    Automatically generate neutron core configuration files

    This adds a new tox environment, genconfig, which generates sample
    neutron core configuration file using oslo-config-generator.

    Updates to some configuration option help messages to reflect useful
    details that were missing in the code but were present in config files.

    It also adds details to devref on how to update config files.

    Partially-Implements: blueprint autogen-neutron-conf-file

    DocImpact

    Change-Id: I1c6dc4e7d479f1b7c755597caded24a0f018c712
    Closes-bug: #1199963
    Co-Authored-By: Louis Taylor <email address hidden>

Changed in neutron:
status: In Progress → Fix Committed
Changed in neutron:
status: Fix Committed → In Progress
Changed in neutron:
milestone: mitaka-1 → mitaka-2

Reviewed: https://review.openstack.org/204722
Committed: https://git.openstack.org/cgit/openstack-dev/devstack/commit/?id=30d5fae31548ed998e4c053ba957f95e068eaebc
Submitter: Jenkins
Branch: master

commit 30d5fae31548ed998e4c053ba957f95e068eaebc
Author: Martin Hickey <email address hidden>
Date: Tue Nov 10 13:44:15 2015 +0000

    Neutron: Use generated configuration files if available

    Generate the neutron core sample config files by using the oslo
    generator. The files are generated with a .sample extension and
    replace the static example configuration files.

    Once the generation code is delivered, the static config files
    will be removed.

    Change-Id: Ic37a16b6cf8eb92030649f1fc8b198738a8cc104
    Related-blueprint: autogen-neutron-conf-file
    Partial-bug: #1199963
    Depends-On: I1c6dc4e7d479f1b7c755597caded24a0f018c712
    Co-Authored-By: Louis Taylor <email address hidden>

Changed in neutron:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/251348
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=112c8dd11d6f746b2b478f83061b63842838b495
Submitter: Jenkins
Branch: master

commit 112c8dd11d6f746b2b478f83061b63842838b495
Author: Martin Hickey <email address hidden>
Date: Mon Nov 30 13:06:53 2015 +0000

    Remove Neutron core static example configuration files

    Oslo config generator was introduced in patch [1] to
    automatically generate the sample Neutron core configuration
    files.

    This patch removes the static example configuration files from
    the repository as they are now redundant.

    [1] https://review.openstack.org/#/c/204206/

    DocImpact

    Change-Id: Ic7ae2e038b5bd7b215c65c9c565bfe31ef551520
    Partially-Implements: blueprint autogen-neutron-conf-file
    Closes-bug: #1199963
    Depends-On: Ic37a16b6cf8eb92030649f1fc8b198738a8cc104

Changed in neutron:
status: Fix Committed → In Progress

Reviewed: https://review.openstack.org/251974
Committed: https://git.openstack.org/cgit/openstack/neutron-fwaas/commit/?id=93883c17db888809c2a0cfeafabb43d2cbddb30f
Submitter: Jenkins
Branch: master

commit 93883c17db888809c2a0cfeafabb43d2cbddb30f
Author: Martin Hickey <email address hidden>
Date: Tue Dec 1 16:58:50 2015 +0000

    Automatically generate neutron FWaaS configuration files

    This adds a new tox environment, genconfig, which generates sample
    neutron FWaaS configuration file using oslo-config-generator.

    Partially-Implements: blueprint autogen-neutron-conf-file

    Change-Id: I8e9113dfb88e5290f6eedd012d1a52fc35c3c88c
    Partial-bug: #1199963

Reviewed: https://review.openstack.org/252087
Committed: https://git.openstack.org/cgit/openstack-dev/devstack/commit/?id=7b7101f1c5ccd4d0722245613df8c8f7a67e79b9
Submitter: Jenkins
Branch: master

commit 7b7101f1c5ccd4d0722245613df8c8f7a67e79b9
Author: Martin Hickey <email address hidden>
Date: Tue Dec 1 22:17:42 2015 +0000

    Neutron FWaaS: Use generated configuration files if available

    Generate the Neutron FWaaS sample config files by using the oslo
    generator. The files are generated with a .sample extension and
    replace the static example configuration files.

    Once the generation code is delivered, the static config files
    will be removed.

    Change-Id: Ic8208850a27408c8fbeed80ecdb43345aa7dfaa4
    Related-blueprint: autogen-neutron-conf-file
    Partial-bug: #1199963
    Depends-On: I8e9113dfb88e5290f6eedd012d1a52fc35c3c88c

Reviewed: https://review.openstack.org/254698
Committed: https://git.openstack.org/cgit/openstack/neutron-fwaas/commit/?id=6713d0ac33a8a6355b4263bde01d55c01636039b
Submitter: Jenkins
Branch: master

commit 6713d0ac33a8a6355b4263bde01d55c01636039b
Author: Martin Hickey <email address hidden>
Date: Tue Dec 8 11:18:04 2015 +0000

    Remove Neutron FWaaS static example configuration files

    Oslo config generator was introduced in patch [1] to
    automatically generate the sample Neutron FWaaS configuration
    files.

    This patch removes the static example configuration files from
    the repository as they are now redundant.

    [1] https://review.openstack.org/#/c/251974/

    DocImpact: Update the docs that FWaaS no longer includes static example
    configuration files. Instead, use tools/generate_config_file_samples.sh
    to generate them and the files generated now end with .sample extension.

    Change-Id: I31be3295606ba25929e9af9f40a035ff2b615234
    Partially-Implements: blueprint autogen-neutron-conf-file
    Partial-bug: #1199963
    Depends-On: Ic8208850a27408c8fbeed80ecdb43345aa7dfaa4

Reviewed: https://review.openstack.org/252981
Committed: https://git.openstack.org/cgit/openstack/neutron-lbaas/commit/?id=e719861c00ab1e50e271c3bcdbc0b9130353d2d4
Submitter: Jenkins
Branch: master

commit e719861c00ab1e50e271c3bcdbc0b9130353d2d4
Author: Martin Hickey <email address hidden>
Date: Thu Dec 3 14:39:29 2015 +0000

    Automatically generate neutron LBaaS configuration files

    This adds a new tox environment, genconfig, which generates sample
    neutron LBaaS configuration file using oslo-config-generator.

    DocImpact: Update the docs that LBaaS no longer includes static example
    configuration files. Instead, use tools/generate_config_file_samples.sh
    to generate them and the files generated now end with .sample extension.

    Partially-Implements: blueprint autogen-neutron-conf-file

    Change-Id: I25507f3bc6e995580aa91a912c2cf4110757df15
    Partial-bug: #1199963

Reviewed: https://review.openstack.org/253399
Committed: https://git.openstack.org/cgit/openstack/neutron-vpnaas/commit/?id=5c8941eeed6dabc9c467c8b9b11df79a25dd2c71
Submitter: Jenkins
Branch: master

commit 5c8941eeed6dabc9c467c8b9b11df79a25dd2c71
Author: Martin Hickey <email address hidden>
Date: Fri Dec 4 09:10:04 2015 +0000

    Automatically generate neutron VPNaaS configuration files

    This adds a new tox environment, genconfig, which generates sample
    neutron VPNaaS configuration file using oslo-config-generator.

    Updates to some configuration option help messages to reflect useful
    details that were missing in the code but were present in config files.

    DocImpact: Update the docs that VPNaaS no longer includes static example
    configuration files. Instead, use tools/generate_config_file_samples.sh
    to generate them and the files generated now end with .sample extension.

    Partially-Implements: blueprint autogen-neutron-conf-file

    Change-Id: I4a6094b8218dfd320d05bfb1e3bc121e8930c551
    Partial-bug: #1199963

Reviewed: https://review.openstack.org/253006
Committed: https://git.openstack.org/cgit/openstack-dev/devstack/commit/?id=10bff0e9968d7a9c59ea7f09f49775973f8b5008
Submitter: Jenkins
Branch: master

commit 10bff0e9968d7a9c59ea7f09f49775973f8b5008
Author: Martin Hickey <email address hidden>
Date: Thu Dec 3 15:18:10 2015 +0000

    Neutron LBaaS: Use generated configuration files if available

    Generate the Neutron LBaaS sample config files by using the oslo
    generator. The files are generated with a .sample extension and
    replace the static example configuration files.

    Once the generation code is delivered, the static config files
    will be removed.

    Change-Id: Iae1e581ec2bea9c0ced700229effcc716d53fe4e
    Related-blueprint: autogen-neutron-conf-file
    Partial-bug: #1199963
    Depends-On: I25507f3bc6e995580aa91a912c2cf4110757df15

Reviewed: https://review.openstack.org/255944
Committed: https://git.openstack.org/cgit/openstack/neutron-lbaas/commit/?id=d13d53bce7c0453189a85000a8e015dc75e9c859
Submitter: Jenkins
Branch: master

commit d13d53bce7c0453189a85000a8e015dc75e9c859
Author: Martin Hickey <email address hidden>
Date: Thu Dec 10 15:43:49 2015 +0000

    Remove Neutron LBaaS static example configuration files

    Oslo config generator was introduced in patch [1] to
    automatically generate the sample Neutron LBaaS configuration
    files.

    This patch removes the static example configuration files from
    the repository as they are now redundant.

    [1] https://review.openstack.org/#/c/252981/

    Change-Id: Ied6baba264e46aee59fb97f4909df3cbf4d00237
    Partially-Implements: blueprint autogen-neutron-conf-file
    Partial-bug: #1199963
    Depends-On: Iae1e581ec2bea9c0ced700229effcc716d53fe4e

Reviewed: https://review.openstack.org/253530
Committed: https://git.openstack.org/cgit/openstack-dev/devstack/commit/?id=2b4d6d16211cc55794b7d96594394f5e8c40fa4b
Submitter: Jenkins
Branch: master

commit 2b4d6d16211cc55794b7d96594394f5e8c40fa4b
Author: Martin Hickey <email address hidden>
Date: Fri Dec 4 14:40:03 2015 +0000

    Neutron VPNaaS: Use generated configuration files if available

    Generate the Neutron VPNaaS sample config files by using the oslo
    generator. The files are generated with a .sample extension and
    replace the static example configuration files.

    Once the generation code is delivered, the static config files
    will be removed.

    Change-Id: Icef8f7e8f0e8e78bfffa7a5af3f9f2300376b115
    Related-blueprint: autogen-neutron-conf-file
    Partial-bug: #1199963
    Depends-On: I4a6094b8218dfd320d05bfb1e3bc121e8930c551

Reviewed: https://review.openstack.org/257023
Committed: https://git.openstack.org/cgit/openstack/neutron-vpnaas/commit/?id=3e63e570fa0316c5f4be1c939a1826809342a21a
Submitter: Jenkins
Branch: master

commit 3e63e570fa0316c5f4be1c939a1826809342a21a
Author: Martin Hickey <email address hidden>
Date: Sun Dec 13 08:48:00 2015 +0000

    Remove Neutron VPNaaS static example configuration files

    Oslo config generator was introduced in patch [1] to
    automatically generate the sample Neutron VPNaaS configuration
    files.

    This patch removes the static example configuration files from
    the repository as they are now redundant.

    [1] https://review.openstack.org/#/c/253399/

    Change-Id: Ibf5ed0f1e80d01dd2332a3638974479bca350ecf
    Partially-Implements: blueprint autogen-neutron-conf-file
    Partial-bug: #1199963
    Depends-On: Icef8f7e8f0e8e78bfffa7a5af3f9f2300376b115

Changed in neutron:
status: In Progress → Fix Released
Changed in devstack:
status: In Progress → Fix Released
Thierry Carrez (ttx) on 2016-01-04
Changed in neutron:
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers